org.apache.thrift

## Class TServiceClient

- java.lang.Object
- - org.apache.thrift.TServiceClient

-     public abstract class TServiceClient
      extends java.lang.Object

  A TServiceClient is used to communicate with a TService implementation across protocols and transports.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TProtocol` | `iprot_`
    `protected TProtocol` | `oprot_`
    `protected int` | `seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TServiceClient(TProtocol prot)`
    `TServiceClient(TProtocol iprot, TProtocol oprot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProtocol` | `getInputProtocol()` Get the TProtocol being used as the input (read) protocol.
    `TProtocol` | `getOutputProtocol()` Get the TProtocol being used as the output (write) protocol.
    `protected void` | `receiveBase(TBase result, java.lang.String methodName)`
    `protected void` | `sendBase(java.lang.String methodName, TBase args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iprot_

          protected TProtocol iprot_

    - #### oprot_

          protected TProtocol oprot_

    - #### seqid_

          protected int seqid_

  - ### Constructor Detail

    - #### TServiceClient

          public TServiceClient(TProtocol prot)

    - #### TServiceClient

          public TServiceClient(TProtocol iprot,
                        TProtocol oprot)

  - ### Method Detail

    - #### getInputProtocol

          public TProtocol getInputProtocol()

      Get the TProtocol being used as the input (read) protocol.
      Returns:

    - #### getOutputProtocol

          public TProtocol getOutputProtocol()

      Get the TProtocol being used as the output (write) protocol.
      Returns:

    - #### sendBase

          protected void sendBase(java.lang.String methodName,
                      TBase args)
                           throws TException

      Throws:
        `TException`

    - #### receiveBase

          protected void receiveBase(TBase result,
                         java.lang.String methodName)
                              throws TException

      Throws:
        `TException`